<%if @rsa_fingerprint || @dsa_fingerprint %>
<p>If you are accessing this machine for the first time, <br />
then you will be asked to verify the RSA or DSA fingerprints.</p>

<p>This is a protection against 
<a href="http://en.wikipedia.org/wiki/Man_in_the_middle_attack">MITM</a>
attacks.</p>

<p>Please make sure that the fingerprint that you are verifying, 
is identical to this one of these two:</p>

<pre>
The authenticity of VE <%=h(@ve_id)%> (<%=h(@ve_ip)%>)

RSA key fingerprint is <%=h(@rsa_fingerprint)%>
DSA key fingerprint is <%=h(@dsa_fingerprint)%>
</pre>

<div id="notice">
If the keys do not match then you are likely a subject of 
a MITM attack, <br />
which causes loss of privacy of all information that 
you will <br />
enter or receive while interacting with this Virtual Environment.</div>

<%else%>
  <div id="notice">
You will not be able to gain SSH access to this VE becouse<br />
it does not have SSH Host Public Keys.
  </div>
<%end%>
